package data_manage

import (
	"fmt"
	"github.com/beego/beego/v2/client/orm"
)

func ModifyEdbInfoWindWsdDataStatus(source, subSource int, edbInfoId int64, edbCode string) (err error) {
	o := orm.NewOrmUsingDB("data")
	tableName := GetEdbDataTableNameAndSubSource(source, subSource)
	sql := ` UPDATE %s SET edb_info_id=?,modify_time=NOW() WHERE edb_code=? `
	sql = fmt.Sprintf(sql, tableName)
	_, err = o.Raw(sql, edbInfoId, edbCode).Exec()
	return
}
